package com.pcloud.book.keywords.mapper;

import com.pcloud.book.keywords.entity.TempRobotSkill;
import com.pcloud.book.keywords.vo.LabelVO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("tempRobotSkillDao")
public interface TempRobotSkillDao {

    List<TempRobotSkill> getTempRobotSkillListByType(@Param("type") Integer type);

    List<TempRobotSkill> getTempRobotSkillListByKeyword(@Param("type") Integer type, @Param("keyword") String keyword);

    List<TempRobotSkill> getTempRobotSkillListByLabelId(@Param("type") Integer type, @Param("labelId") Integer labelId);

    List<LabelVO> getLabelListByType(@Param("type") Integer type);

    TempRobotSkill getById(@Param("id") Integer id);
}
